Subject: RE: bug#22314: 25.1.50; Document variable `deactivate-mark' in Elisp manual

From: Drew Adams <[email-masked]>
Date: Sat, 9 Jan 2016 10:52:38 -0800 (PST)

> > It's wrong because it does not move point to the entry.  Nothing
> > indicates to a user that there in fact 3 entries, not 2.
> 
> The user's eyes should indicate that.  You are splitting hair.

No, the echoed message that says there are a total of 2 entries
should indicate the number of entries.  And hitting `,' should
move point to each entry in turn.

> > I would not have filed this bug report if I thought that this
> > was not a problem.  And as you can see from my initial report,
> > I in fact mistakenly thought that the variable was not even
> > documented, because cycling among the index entries did not
> > take me to it.
> 
> You should have read a bit more than a single line.

Eli, you can say "you should" all you want.  A user (I)
reported the problem.  If this is a problem for me to find
the (non-existent) index entry then it can be a problem
for others.  Ignore it if you like.

> > I don't see why you wouldn't want to add an index entry for this
> > variable.  But if you don't feel like it then what can I say?
> 
> THERE IS ALREADY AN INDEX ENTRY FOR IT!!!!
> 
> How many times do I need to tell you that?  Just look at the sources!

Why are you shouting?

Whatever you might see in the sources, what concerns me is
what a user sees - the observable behavior.  Observably the
is only one index entry for `deactivate-mark'.

Looking in the index itself shows me that there is a single
entry for `deactivate-mark'.

The echo-area message that gives the total number of
matching entries tells me that there is only one entry
for `deactivate-mark' (the total shown is 2 entries,
and the other one is for `deactivate-mark-hook').

And cycling with `,' moves only between those two entries,
never to a variable entry (that your shouting insists
exists) for `deactivate-mark'.

> > If the Elisp manual had different indexes, as does the Emacs
> > manual, then adding it would also let a user find it in the
> > Variables Index.
> 
> The function is indexed as a function, the variable is indexed as a
> variable.  We have @defvar for the variable, which indexes the
> variable, and a @defun for the function, which indexes the function.

So why is there only one entry for `deactivate-mark' in the
Index?  And why is there only one entry for it when you use
`,' to cycle among all entries?  And why does the echo message
tell you that there are only 2 entries (the ones you visit
when cycling, neither of which is for this variable)?

(I don't want to presume anything, but are you sure you
are not mistaking the existing index entry for variable
`deactivate-mark-hook' for an entry for variable
`deactivate-mark'?)

> > Maybe it's not possible to index both, if there is only one
> > Index?  Dunno.  If you can't, you can't.  If you can (maybe two
> > entries, with suffixes "(variable)" and "(function)"), that's
> > better, IMO.
> 
> Bug closed.

Feel better now?